/////////////////////////////////////////////////////////////////////////////// //
//
// Loader.hxx
//
//
// By: Bradford W. Mott
// November 5,1993
//
///////////////////////////////////////////////////////////////////////////////

#ifndef LOADER_HXX
#define LOADER_HXX

#include <iostream.h>
#include <fstream.h>

#include "BasicLoader.hxx"

///////////////////////////////////////////////////////////////////////////////
// The Loader Class
///////////////////////////////////////////////////////////////////////////////
class Loader : public BasicLoader {
  private:
    // Load in a Hector Object file
    String LoadHectorObjectFile(fstream& file, int space);

  public:
    Loader(BasicCPU* c)
        : BasicLoader(c)
    {};

    // Load the file into the addr space (Error Message or "" is returned)
    String Load(const char *filename, int space);
};

#endif
